R2R(1)

NAME
r2r - radare2 regression testsuite

SYNOPSIS
r2r [-h] [-n] [-q] [-v] [-V] [-j threads] [-r r2-path] [-m rasm2-pth] [-f bin-for-json-tests] [-C chdir] [[test-(dir|file) ...]]

DESCRIPTION
Run all the radare2-regressions tests matching a specific word in the name.

TODO: this manpage is work-in-progress

You need radare2 to be available in $PATH.

OPTIONS

-h  Show the help/usage message

-n  Do not run any test, just load/parse them

-q  Quiet mode (use like this: r2r -qv)

-v  Show version number

-V  Be verbose

-j threads
    Specify the number of tasks to run in parallel

-r r2-path
    Set path to radare2 executable

-n rasm2-path
    Set path to rasm2executable

-m rasm2-path
    Set path to rasm2executable

-f bin-for-json-tests
    Load the given binary when running the JSON tests

-C directory
    Early chdir before running any test

USAGE

Use the -n flag to dont run any test. Just load them.

$ r2r -n [r2r] Loading tests...

SEE ALSO

radare2(1), rahash2(1), rafind2(1), rabin2(1), rafind2(1), radiff2(1), rasm2(1),

AUTHORS

Written by pancake <pancake@nopcode.org>.